Bug 1154192 - Request for recompile grib_api with PNG support
Summary: Request for recompile grib_api with PNG support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: grib_api
Version: el6
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-17 20:15 UTC by daryl herzmann
Modified: 2014-11-05 18:46 UTC (History)
1 user (show)

Fixed In Version: grib_api-1.12.3-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-29 11:03:58 UTC
Type: Bug


Attachments (Terms of Use)

Description daryl herzmann 2014-10-17 20:15:15 UTC
I am working with some new Grib2 data from NCEP that using PNG packing. Please consider rebuilding with '--with-png-support'.  For example:

$ grib_histogram /tmp/RadarOnly_QPE_01H_00.00_20141015-175400.grib2 
GRIB_API ERROR   :  grib_accessor_data_png_packing : png support no enabled. Please rerun configure with --with-png-support
GRIB_API ERROR   :  unable to get codedValues as double array (Function not yet implemented)
grib_histogram.c at line 75: grib_get_double_array(h,"values",values,&size) failed: Function not yet implemented (/tmp/RadarOnly_QPE_01H_00.00_20141015-175400.grib2)

I rebuild locally with '--with-png-support' and it works just fine.

thanks!

Comment 1 Fedora Update System 2014-10-17 22:36:21 UTC
grib_api-1.12.3-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/grib_api-1.12.3-4.el6

Comment 2 Fedora Update System 2014-10-19 03:59:23 UTC
Package grib_api-1.12.3-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing grib_api-1.12.3-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3459/grib_api-1.12.3-4.el6
then log in and leave karma (feedback).

Comment 3 daryl herzmann 2014-10-20 13:59:52 UTC
Hello,

Thanks for the quick help on this.  I think you need to add a PNG rpm requirement though to the SPEC.

http://kojipkgs.fedoraproject.org/packages/grib_api/1.12.3/4.el6/data/logs/x86_64/build.log

checking for PNG ... 
checking png.h usability... no
checking png.h presence... no
checking for png.h... no
checking for png_read_png in -lpng... no
checking if PNG support package is complete... no -- some components failed test

$ ldd /usr/lib64/libgrib_api.so.0
	linux-vdso.so.1 =>  (0x00007fffadcea000)
	libjasper.so.1 => /usr/lib64/libjasper.so.1 (0x00007f707ad12000)
	libm.so.6 => /lib64/libm.so.6 (0x00007f707aa8d000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f707a6f9000)
	libjpeg.so.62 => /usr/lib64/libjpeg.so.62 (0x00007f707a4a9000)
	/lib64/ld-linux-x86-64.so.2 (0x0000003d0cc00000)

Comment 4 Fedora Update System 2014-10-20 16:27:37 UTC
grib_api-1.12.3-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/grib_api-1.12.3-5.el6

Comment 5 Fedora Update System 2014-10-20 16:27:43 UTC
grib_api-1.12.3-5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/grib_api-1.12.3-5.el7

Comment 6 Fedora Update System 2014-10-20 16:27:49 UTC
grib_api-1.12.3-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/grib_api-1.12.3-5.fc21

Comment 7 Fedora Update System 2014-10-20 16:27:55 UTC
grib_api-1.12.3-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/grib_api-1.12.3-5.fc20

Comment 8 daryl herzmann 2014-10-23 17:26:11 UTC
Thanks so much, I was able to verify that the RHEL6 EPEL testing grib_api-1.12.3-5.el6 works...

Comment 9 Orion Poplawski 2014-10-23 17:27:39 UTC
NP, sorry for the initial mistake - too tired.  Thanks for the bug report.

Comment 10 Fedora Update System 2014-10-29 11:03:58 UTC
grib_api-1.12.3-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-11-01 16:56:38 UTC
grib_api-1.12.3-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-11-05 18:45:39 UTC
grib_api-1.12.3-5.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-11-05 18:46:14 UTC
grib_api-1.12.3-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.